/**
 * Copyright ProjectNya ( http://wonderfl.net/user/ProjectNya )
 * MIT License ( http://www.opensource.org/licenses/mit-license.php )
 * Downloaded from: http://wonderfl.net/c/9Eoc
 */

////////////////////////////////////////////////////////////////////////////////
// 目が光るダンボー
//
// ダンボーの読み込みは、rsakaneさんのスクリプトを参考にしました。
// 外部画像をビットマップ化する [http://wonderfl.net/c/d8DH/]
////////////////////////////////////////////////////////////////////////////////

package {

    import flash.display.Sprite;
    import flash.display.Loader;
    import flash.display.BitmapData;
    import flash.display.Bitmap;
    import flash.events.Event;
    import flash.events.MouseEvent;
    import flash.net.URLRequest;
    import flash.system.Security;
    import flash.system.LoaderContext;
    import flash.display.Shape;
    import flash.geom.Matrix;
    import flash.display.GradientType;
    import flash.display.BlendMode;
    import flash.utils.Timer;
    import flash.events.TimerEvent;

    [SWF(backgroundColor="#FFFFFF", width="465", height="465", frameRate="30")]

    public class Main extends Sprite {
        private static var basePath:String = "http://assets.wonderfl.net/images/related_images/";
        private static var sunshinePath:String = "9/9b/9bbe/9bbec77d53bddc5e7a5f2c00abbade6bd641c549";
        private var loader:Loader;
        private static var danbohPath:String = "http://ecx.images-amazon.com/images/I/4184GJeV9mL._SL500_AA280_.jpg";
        private var eyes:Array;
        private static var lightPath:String = "4/40/400b/400b814a16b90c750e41bcd00890213280cd1be7";
        private var initialized:uint = 0;
        private var timer:Timer;
        private static var interval:uint = 500;

        public function Main() {
            //Wonderfl.disable_capture();
            Wonderfl.capture_delay(2);
            init();
        }

        private function init():void {
            loader = new Loader();
            loader.contentLoaderInfo.addEventListener(Event.INIT, initialize, false, 0, true);
            loader.load(new URLRequest(danbohPath), new LoaderContext(true));
        }
        private function initialize(evt:Event):void {
            loader.removeEventListener(Event.INIT, initialize);
            var _loader:Loader = new Loader();
            _loader.contentLoaderInfo.addEventListener(Event.INIT, setup, false, 0, true);
            _loader.loadBytes(evt.target.bytes);
            /*
            var content:Bitmap = Bitmap(evt.target.content);
            addChild(content);
            var bitmapData:BitmapData = new BitmapData(_loader.width, _loader.height, false);
            bitmapData.draw(_loader);
            var bitmap:Bitmap = new Bitmap();
            */
            addChild(_loader);
            _loader.x = uint((465 - loader.width)/2);
            _loader.y = uint((465 - loader.height)/2);
            setup();
            loader = null;
        }
        private function setup(evt:Event = null):void {
            eyes = new Array();
            createEyeLight(197, 132);
            createEyeLight(249, 132);
        }
        private function createEyeLight(ex:uint, ey:uint):void {
            var eye:Sprite = new Sprite();
            addChild(eye);
            eye.x = ex;
            eye.y = ey;
            eyes.push(eye);
            eye.blendMode = BlendMode.ADD;
            var loader:Loader = new Loader();
            loader.contentLoaderInfo.addEventListener(Event.COMPLETE, loaded, false, 0, true);
            eye.addChild(loader);
/*
            var base:Sprite = new Sprite();
            base.graphics.beginFill(0xFF0000);
            base.graphics.drawCircle(0, 0, 8);
            base.graphics.endFill();
            eye.addChild(base);
*/
            loader.x = -32;
            loader.y = -32;
            loader.scaleX = loader.scaleY = 0.25;
            loader.load(new URLRequest(basePath + lightPath), new LoaderContext(true));
            eye.visible = false;
        }
        private function loaded(evt:Event):void {
            evt.target.removeEventListener(Event.COMPLETE, loaded);
            initialized ++;
            if (initialized > 1) start();
        }
        private function start():void {
            timer = new Timer(interval);
            timer.addEventListener(TimerEvent.TIMER, update, false, 0, true);
            timer.start();
        }
        private function update(evt:TimerEvent):void {
            for (var n:uint = 0; n < 2; n++) {
                var eye:Sprite = eyes[n];
                eye.visible = !eye.visible;
            }
        }

    }

}
